**Full name**: projects.locations.endpoints.mutateDeployedModel

Updates an existing deployed model. Updatable fields include `minReplicaCount`, `maxReplicaCount`, `requiredReplicaCount`, `autoscalingMetricSpecs`, `disableContainerLogging` (v1 only), and `enableContainerLogging` (v1beta1 only).

### Endpoint

post `https://{service-endpoint}/v1/{endpoint}:mutateDeployedModel`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`endpoint` `string` Required. The name of the Endpoint resource into which to mutate a DeployedModel. Format: `projects/{project}/locations/{location}/endpoints/{endpoint}`

### Request body

The request body contains data with the following structure:
Fields `deployedModel` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.endpoints#DeployedModel`)`` Required. The DeployedModel to be mutated within the Endpoint. Only the following fields can be mutated:

- `minReplicaCount` in either `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/DedicatedResources` or `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/AutomaticResources`
- `maxReplicaCount` in either `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/DedicatedResources` or `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/AutomaticResources`
- `requiredReplicaCount` in `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/DedicatedResources`
- `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/DedicatedResources#FIELDS.autoscaling_metric_specs`
- `disableContainerLogging` (v1 only)
- `enableContainerLogging` (v1beta1 only)
- `scaleToZeroSpec` in `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/DedicatedResources` (v1beta1 only)
- `initialReplicaCount` in `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/DedicatedResources` (v1beta1 only)
`updateMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The update mask applies to the resource. See `https://protobuf.dev/reference/protobuf/google.protobuf#field-mask`.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `endpoint` resource:

- `aiplatform.endpoints.deploy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).